Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038667
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2018-05-31 12:472018-08-08 13:06
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisiona8f3a6a5c80c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038667: "Not Balance" error received when posting a reconciliation (although suspense balancing is not needed)

DescriptionIf "Suspense balancing use" option is activated in General Ledger Configuration window then balanced accounting entry is obtained (so real problem is not an unbalanced entry)
Steps To Reproduce0. Access General Ledger configuration window and ensure that "Suspense Balancing use" option is NOT set in General Accounts tab
1. Create a new Financial Account
2. Add any record in Payment Method tab and leave "Upon Payment Use", "Upon Deposit Use" and "Upon Reconciliation use" fields empty (so no posting configured)
3. Access Accounting Configuration tab and ensure that "In transit payment account", "Deposit account" and "Cleared payment account" fields are filled
4. Register Payment In record for valid org and bp. Set previous Payment Method and Financial Account. Add Details and select any GL Item and amount. Process and deposit payment
5. Access Financial Account and create new transaction selecting any gl item and setting any amount. Process transaction
6. Run "Reconcile" process, select both previous transactions and process reconciliation
7. Try to post reconciliation and "Not balanced" error will be raised

If you enable "Suspense Balancing use" option you will be able to post reconciliation obtaining a balanced entry (which will only contain transaction related with gl item)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105526)
hgbot (developer)
2018-07-02 13:31

Repository: erp/devel/pi
Changeset: a8f3a6a5c80ca3f9c39f145bf0390f6403d6f81f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jun 29 10:23:35 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/a8f3a6a5c80ca3f9c39f145bf0390f6403d6f81f [^]

Fixes Issue 0038667: "Not Balance" error received when posting
a reconciliation (although suspense balancing is not needed)

getBalance() method should return ZERO as transaction lines
in reconciliation are always balanced.

However transaction line linked with payment are skipped for
posting if payment method & financial account in payment
is not configured with upon reconciliation use account
in payment in and payment out allowed section in payment
method tab of financial account.

---
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0105527)
hgbot (developer)
2018-07-02 13:32

Repository: erp/devel/pi
Changeset: ddd5c0ea4a6707c2c0f77fef2625152f6378609e
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Jul 02 13:31:37 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ddd5c0ea4a6707c2c0f77fef2625152f6378609e [^]

related to issue 38667 clarify the documentation of the getbalanced() function

---
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
---
(0106194)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test
(0106195)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-05-31 12:47 maite New Issue
2018-05-31 12:47 maite Assigned To => Triage Finance
2018-05-31 12:47 maite Modules => Advanced Payables and Receivables Mngmt
2018-05-31 12:47 maite Triggers an Emergency Pack => No
2018-05-31 12:47 maite Issue Monitored: networkb
2018-05-31 16:34 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-21 17:43 AtulOpenbravo Status new => scheduled
2018-07-02 13:31 hgbot Checkin
2018-07-02 13:31 hgbot Note Added: 0105526
2018-07-02 13:31 hgbot Status scheduled => resolved
2018-07-02 13:31 hgbot Resolution open => fixed
2018-07-02 13:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a8f3a6a5c80ca3f9c39f145bf0390f6403d6f81f [^]
2018-07-02 13:32 hgbot Checkin
2018-07-02 13:32 hgbot Note Added: 0105527
2018-07-02 13:37 Sandrahuguet Review Assigned To => Sandrahuguet
2018-07-02 13:37 Sandrahuguet Status resolved => closed
2018-07-02 15:00 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106194
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106195


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker